Package Details: basemark 1.2.3-3

Git Clone URL: https://aur.archlinux.org/basemark.git (read-only, click to copy)
Package Base: basemark
Description: Basemark GPU - Graphics performance evaluation tool
Upstream URL: https://www.basemark.com/products/basemark-gpu/
Licenses: custom
Submitter: dcelasun
Maintainer: dcelasun
Last Packager: dcelasun
Votes: 10
Popularity: 1.17
First Submitted: 2018-06-23 10:34 (UTC)
Last Updated: 2022-03-15 14:40 (UTC)

Latest Comments

dcelasun commented on 2022-03-15 14:40 (UTC)

@MarsSeed oops, must have missed that. Fixed!

MarsSeed commented on 2022-03-15 14:38 (UTC)

Thanks for the update, @dcelasun!

Mind you, you can remove optdepends=(vulkan-icd-loader) as it is now in depends as well. :)

dcelasun commented on 2022-03-15 13:41 (UTC)

@MarsSeed updated, thanks!

MarsSeed commented on 2022-03-13 13:04 (UTC)

Missing needed dependencies:

  • alsa-lib ('usr/lib/libasound.so.2')
  • gtk3 ('usr/lib/libgtk-3.so.0', 'usr/lib/libgdk-3.so.0')
  • mesa ('usr/lib/libgbm.so.1')
  • nss ('usr/lib/libnss3.so', 'usr/lib/libsmime3.so', 'usr/lib/libnssutil3.so')

Dependency is mandatory:

Unneeded dependencies:

Otherwise the package is fine and the application works well if all needed dependencies are installed. :)

kaefert commented on 2020-02-05 07:43 (UTC)

thanks, works for me now with that added dependency! :)

dcelasun commented on 2020-02-03 08:20 (UTC)

I've added openssl-1.0 to dependencies.

raindev commented on 2020-02-02 18:43 (UTC)

I also get the error 32515. Looking into the logs, there seem to be an SSL dependency missing: /opt/basemark/resources/app.asar.unpacked/src/binaries/BasemarkGPU_gl: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory

kaefert commented on 2020-01-12 16:28 (UTC) (edited on 2020-01-12 16:28 (UTC) by kaefert)

The startpage looks good for me (including 3d renderings) but when I try to start a test it gives me "unknown error 32512". Also no matter if I start it with intel or nvidia graphics (dual gpu laptop) it always shows me "UHD Graphics 630 Device 1f91" for the GPU info and when I don't run as root it tells me 0GB @ 0Mhz RAM.

dcelasun commented on 2018-11-29 22:07 (UTC)

I'm unflagging this as 1.1.0 is not yet released on Linux, only Windows and Android versions exist.

nTia89 commented on 2018-06-30 18:23 (UTC)

Ah, ok... thanks

dcelasun commented on 2018-06-29 20:47 (UTC)

Sorry to hear that, sounds like the Intel driver doesn't support some extensions used by the Benchmark. Your best is to contact them or wait for a fix :/

nTia89 commented on 2018-06-29 20:45 (UTC)

Thanks for packaging basemark-gpu! Anyway, with an integrated Intel HD5500, can't start the app: the terminal exposes a plethora of these errors:

An internal OpenGL call failed in RenderTarget.cpp(301). Expression: glDrawArrays(mode, 0, vertexCount) Error description: GL_INVALID_OPERATION The specified operation is not allowed in the current state.